    :root {
  --loader-color: #2563eb;
  --loader-size: 50px;
  --bg:#050810;
}

.global-loader {
  position: fixed;
  top: 0;
  left: 0;
  bottom:25px;
  width: 100%;
  height: 100%;
  background: var(--bg);
  backdrop-filter: blur(20px);
  z-index: 9999;
  display: grid;
  place-items: center;
  pointer-events: all;
  
}

.loader-spinner {
  width: var(--loader-size);
  height: var(--loader-size);
  border: 4px solid #f3f3f3;
  border-top: 4px solid var(--loader-color);
  border-radius: 50%;
  animation: spin 1s linear infinite;
  position: absolute;
  bottom: 5px;
}



@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

@keyframes pulse {
  0%, 100% { opacity: 1; }
  50% { opacity: 0.5; }
}

svg{
  backdrop-filter: blur(20px);
  border-radius:38px;
  box-shadow: inset 0 0 10px rgba(255, 255, 255, 0.192),

    inset 0 0 4px rgba(255, 255, 255, 0.274), 0 4px 5px rgba(0, 0, 0, 0.164);
}

/* From Uiverse.io by satyamchaudharydev */ 
.loading {
 --speed-of-animation: 0.9s;
 --gap: 6px;
 --first-color: #4c86f9;
 --second-color: #49a84c;
 --third-color: #f6bb02;
 --fourth-color: #f6bb02;
 --fifth-color: #2196f3;
 display: flex;
 justify-content: center;
 position: absolute;
  bottom: 5px;
 align-items: center;
 width: 100px;
 gap: 6px;
 height: 100px;
}

.loading span {
 width: 4px;
 
 height: 50px;
 background: var(--first-color);
 animation: scale var(--speed-of-animation) ease-in-out infinite;
}

.loading span:nth-child(2) {
 background: var(--second-color);
 animation-delay: -0.8s;
}

.loading span:nth-child(3) {
 background: var(--third-color);
 animation-delay: -0.7s;
}

.loading span:nth-child(4) {
 background: var(--fourth-color);
 animation-delay: -0.6s;
}

.loading span:nth-child(5) {
 background: var(--fifth-color);
 animation-delay: -0.5s;
}

@keyframes scale {
 0%, 40%, 100% {
  transform: scaleY(0.05);
 }

 20% {
  transform: scaleY(1);
 }
}